Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.internal
Class DiagramPropertiesDebugOptions

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.properties.internal.DiagramPropertiesDebugOptions

    public class DiagramPropertiesDebugOptions

extends java.lang.Object

A list of debug options for this plug-in.

Field Summary
`static java.lang.String` `DEBUG` Debug option.
`static java.lang.String` `EXCEPTIONS_CATCHING` Debug option to trace exception catching.
`static java.lang.String` `EXCEPTIONS_THROWING` Debug option to trace exception throwing.
`static java.lang.String` `METHODS_ENTERING` Debug option to trace method entering.
`static java.lang.String` `METHODS_EXITING` Debug option to trace method exiting.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final java.lang.String DEBUG

  Debug option.

### EXCEPTIONS_CATCHING

    public static final java.lang.String EXCEPTIONS_CATCHING

  Debug option to trace exception catching.

### EXCEPTIONS_THROWING

    public static final java.lang.String EXCEPTIONS_THROWING

  Debug option to trace exception throwing.

### METHODS_ENTERING

    public static final java.lang.String METHODS_ENTERING

  Debug option to trace method entering.

### METHODS_EXITING

    public static final java.lang.String METHODS_EXITING

  Debug option to trace method exiting.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.